Skip to content

Create manual data source

POST
/api/v1/projects/{project_id}/sources/manual

Creates an empty manual-entry data source for the specified project, ready to have content items added to it individually.

Authorizations

HTTPBearer
Type
HTTP (bearer)

Parameters

Path Parameters

project_id*
Type
string
Required
Format
"uuid"

Request Body

application/x-www-form-urlencoded
object
Default"Manual Entry"

Responses

Successful Response

application/json
JSON
{
  
"id": "string",
  
"project_id": "string",
  
"type": "string",
  
"name": "string",
  
"config": {
  
  
"additionalProperties": "string"
  
},
  
"status": "string",
  
"item_count": 0,
  
"last_synced_at": "string",
  
"error_message": "string",
  
"created_at": "string"
}

Playground

Server
Authorization
Variables
Key
Value
Body

Samples

Powered by VitePress OpenAPI